@import url(https://fonts.googleapis.com/css?family=Lato:400,300,300italic,400italic,700,700italic);
html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  left: 0;
  top: 0;
  font-size: 100%;
  background-color: black;
  color: white;
}

* {
  font-family: "Lato", Helvetica, sans-serif;
  color: white;
  line-height: 1.5;
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.375rem;
}

h4 {
  font-size: 1.125rem;
}

h5 {
  font-size: 1rem;
}

h6 {
  font-size: 0.875rem;
}

p {
  font-size: 1.125rem;
  font-weight: 200;
  line-height: 1.8;
}

.font-light {
  font-weight: 300;
}

.font-regular {
  font-weight: 400;
}

.font-heavy {
  font-weight: 700;
}

.left {
  text-align: left;
}

.right {
  text-align: right;
}

.center {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.justify {
  text-align: justify;
}

.hidden-sm {
  display: none;
}

.container {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}
@media only screen and (min-width: 33.75em) {
  .container {
    width: 80%;
  }
}
@media only screen and (min-width: 60em) {
  .container {
    width: 75%;
    max-width: 60rem;
  }
}

.row {
  position: relative;
  width: 100%;
}

.row [class^=col] {
  float: left;
  margin: 0.5rem 2%;
  min-height: 0.125rem;
}

.row::after {
  content: "";
  display: table;
  clear: both;
}

.col-1,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10,
.col-11,
.col-12 {
  width: 96%;
}

.col-1-sm {
  width: 4.3333333333%;
}

.col-2-sm {
  width: 12.6666666667%;
}

.col-3-sm {
  width: 21%;
}

.col-4-sm {
  width: 29.3333333333%;
}

.col-5-sm {
  width: 37.6666666667%;
}

.col-6-sm {
  width: 46%;
}

.col-7-sm {
  width: 54.3333333333%;
}

.col-8-sm {
  width: 62.6666666667%;
}

.col-9-sm {
  width: 71%;
}

.col-10-sm {
  width: 79.3333333333%;
}

.col-11-sm {
  width: 87.6666666667%;
}

.col-12-sm {
  width: 96%;
}

@media only screen and (min-width: 45em) {
  .col-1 {
    width: 4.3333333333%;
  }

  .col-2 {
    width: 12.6666666667%;
  }

  .col-3 {
    width: 21%;
  }

  .col-4 {
    width: 29.3333333333%;
  }

  .col-5 {
    width: 37.6666666667%;
  }

  .col-6 {
    width: 46%;
  }

  .col-7 {
    width: 54.3333333333%;
  }

  .col-8 {
    width: 62.6666666667%;
  }

  .col-9 {
    width: 71%;
  }

  .col-10 {
    width: 79.3333333333%;
  }

  .col-11 {
    width: 87.6666666667%;
  }

  .col-12 {
    width: 96%;
  }

  .hidden-sm {
    display: block;
  }
}
.tab {
  overflow: hidden;
  border: none;
  background-color: none;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  font-family: "Lato", Helvetica, sans-serif;
  font-size: inherit;
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 2% 1.8%;
  transition: 0.3s;
  border-radius: 15px;
  margin-right: 5px;
  margin-bottom: 5px;
}
.tab button .material-icons {
  font-size: 120%;
  vertical-align: middle !important;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: white;
  color: black !important;
}

.tab button.active .material-icons {
  color: black !important;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 6px 12px;
  border: none;
  border-top: none;
}

#canvasContainer {
  position: absolute;
}

#controls, #showContols {
  font-size: 90%;
  background-color: rgba(105, 105, 105, 0.25);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  margin: 2%;
  position: fixed;
  bottom: 0;
  padding: 2%;
  width: 92%;
  max-width: 490px;
  border-radius: 15px;
}

.parent {
  position: relative;
}

#showContols {
  width: auto;
  padding: 12px !important;
  padding-bottom: 5px !important;
  display: none;
  -webkit-transition: 0.2s;
  transition: 0.2s;
  background-color: rgba(105, 105, 105, 0.25);
}

#showContols:hover {
  background-color: rgba(217, 217, 217, 0.25);
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}

hr {
  border: 1px solid white;
}

.nav a, #showContols {
  cursor: pointer;
}

.slider {
  -webkit-appearance: none;
  height: 7px;
  border-radius: 5px;
  background: #eeeeee4c;
  outline: none;
  -webkit-transition: 0.2s;
  transition: opacity 0.2s;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 18px;
  height: 18px;
  border-radius: 50%;
  opacity: 1;
  background: #ffffff;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 18px;
  height: 18px;
  border-radius: 50%;
  background: #ffffff;
  cursor: pointer;
}

input[type=checkbox] {
  position: relative;
  cursor: pointer;
}

input[type=checkbox] {
  position: relative;
  cursor: pointer;
  vertical-align: top;
}

input[type=checkbox]:before {
  content: "";
  display: block;
  position: absolute;
  width: 16px;
  height: 16px;
  top: 0;
  left: 0;
  background-color: #858585;
  border-radius: 16%;
}

input[type=checkbox]:checked:before {
  content: "";
  display: block;
  position: absolute;
  width: 16px;
  height: 16px;
  top: 0;
  left: 0;
  background-color: #ffffff;
}

input[type=checkbox]:checked:after {
  content: "";
  display: block;
  width: 3px;
  height: 8px;
  border: solid #1f1f1f;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  position: absolute;
  top: 3.4px;
  left: 4.8px;
}

.popup {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* The actual popup */
.popup .popuptext {
  visibility: hidden;
  width: 160px;
  background-color: #555;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 8px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -80px;
}

/* Popup arrow */
.popup .popuptext::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

/* Toggle this class - hide and show the popup */
.popup .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}